ImportEntryTree (Java SE 11 & JDK 11 )
Keywords: jdk.nashorn.api.tree.ImportEntryTree interface

Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

## Interface ImportEntryTree

- All Superinterfaces:
    `Tree`

      @Deprecated(since="11",
                  forRemoval=true)
      public interface ImportEntryTree
      extends Tree

  Deprecated, for removal: This API element is subject to removal in a future version.
  Nashorn JavaScript script engine and APIs, and the jjs tool are deprecated with the intent to remove them in a future release.
  A Tree node for import entry of Module information.

- - ### Nested Class Summary

    - ### Nested classes/interfaces declared in interface jdk.nashorn.api.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IdentifierTree` | `getImportName()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the entry's import name.
    `IdentifierTree` | `getLocalName()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the entry's local name.
    `IdentifierTree` | `getModuleRequest()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the entry's module request.

    - ### Methods declared in interface jdk.nashorn.api.tree.Tree

      `accept, getEndPosition, getKind, getStartPosition`

- - ### Method Detail

    - #### getModuleRequest

          IdentifierTree getModuleRequest()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Returns the entry's module request.
      Returns:
        the module request

    - #### getImportName

          IdentifierTree getImportName()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Returns the entry's import name.
      Returns:
        the import name

    - #### getLocalName

          IdentifierTree getLocalName()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Returns the entry's local name.
      Returns:
        the local name